package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/18 20:17
 */
@Getter
@Setter
public class EntryStatisticsDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 未在24小时内完成会诊数
     */
    private Integer consultationNum = 0;
    /**
     * 未在24小时内完成会诊条目id
     */
    private Long consultationEntryId;
    /**
     * 未在24小时内完成会诊条目名称
     */
    private String consultationEntryName;
    /**
     * 未在24小时内完成会诊率
     */
    private Double consultationPercent = 0.00d;
    /**
     * 未在24小时内完成会诊率（百分比）
     */
    private String consultationPercentStr = "0.00%";
    /**
     * 会诊病历数
     */
    private Integer consultationMRNum = 0;
    /**
     * 手术记录名称不匹配条目id
     */
    private Long operationNameEntryId;
    /**
     * 手术记录名称不匹配条目名称
     */
    private String operationNameEntryName;
    /**
     * 手术记录名称不匹配数
     */
    private Integer operationNameNum = 0;
    /**
     * 手术记录名称不匹配率
     */
    private Double operationNamePercent = 0.00d;
    /**
     * 手术记录名称不匹配率（百分比）
     */
    private String operationNamePercentStr = "0.00%";
    /**
     * 术后首程未在15分钟内完成条目id
     */
    private Long operation15MinuteEntryId;
    /**
     * 术后首程未在15分钟内完成条目名称
     */
    private String operation15MinuteEntryName;
    /**
     * 术后首程未在15分钟内完成数
     */
    private Integer operation15MinuteNum = 0;
    /**
     * 术后首程未在15分钟内完成率
     */
    private Double operation15MinutePercent = 0.00d;
    /**
     * 术后首程未在15分钟内完成率（百分比）
     */
    private String operation15MinutePercentStr = "0.00%";
    /**
     * 病案首页手术时间不匹配条目id
     */
    private Long operationTimeEntryId;
    /**
     * 病案首页手术时间不匹配条目名称
     */
    private String operationTimeEntryName;
    /**
     * 病案首页手术时间不匹配数
     */
    private Integer operationTimeNum = 0;
    /**
     * 病案首页手术时间不匹配率
     */
    private Double operationTimePercent = 0.00;
    /**
     * 病案首页手术时间不匹配率（百分比）
     */
    private String operationTimePercentStr = "0.00%";
    /**
     * 手术记录病历数
     */
    private Integer operationMRNum = 0;
    /**
     * 未在6小时内书写危急值条目id
     */
    private Long crisisEntryId;
    /**
     * 未在6小时内书写危急值条目名称
     */
    private String crisisEntryName;
    /**
     * 未在6小时内书写危急值记录数
     */
    private Integer crisisNum = 0;
    /**
     * 未在6小时内书写危急值记录率
     */
    private Double crisisPercent = 0.00d;
    /**
     * 未在6小时内书写危急值记录率（百分比）
     */
    private String crisisPercentStr = "0.00%";
    /**
     * 危急值记录病历数
     */
    private Integer crisisMRNum = 0;
    /**
     * 阶段小节未书写条目id
     */
    private Long stageSummaryEntryId;
    /**
     * 阶段小节未书写条目名称
     */
    private String stageSummaryEntryName;
    /**
     * 阶段小节未书写数
     */
    private Integer stageSummaryNum = 0;
    /**
     * 阶段小节未书写率
     */
    private Double stageSummaryPercent = 0.00d;
    /**
     * 阶段小节未书写率（百分比）
     */
    private String stageSummaryPercentStr = "0.00%";
    /**
     * 病人住院超过30天的病历数
     */
    private Integer stageSummaryMRNum = 0;
}